Bug 1303457 - thunarx-python version 0.3.0
Summary: thunarx-python version 0.3.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: thunarx-python
Version: 24
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Balaji G
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-31 21:50 UTC by Raphael Groner
Modified: 2016-02-28 12:23 UTC (History)
2 users (show)

Fixed In Version: thunarx-python-0.3.0-1.fc22 thunarx-python-0.3.0-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-28 08:23:35 UTC


Attachments (Terms of Use)
version 0.3.0 in spec file (2.27 KB, patch)
2016-01-31 22:03 UTC, Raphael Groner
no flags Details | Diff

Description Raphael Groner 2016-01-31 21:50:46 UTC
Latest upstream release: 0.3.0
Current version/release in rawhide: 0.2.3-12.fc23
URL: http://goodies.xfce.org/projects/bindings/thunarx-python

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 1 Raphael Groner 2016-01-31 22:03:02 UTC
Created attachment 1119930 [details]
version 0.3.0 in spec file

This patch bumps the spec file to version 0.3.0 and includes some modernization and fixes to license and documentation

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=12764046

Comment 2 Raphael Groner 2016-01-31 23:19:03 UTC
An important new feature is that it now looks in more folders for extensions, especially interesting for additional packages with noarch:
- %{_datadir}/thunarx-python/extensions (*)
- ~/.local/share/thunarx-python/extensions
- %{_libdir}/thunarx-2/python (as in version 0.2.3)

Maybe create an empty folder (*) in spec file and own it.

We need this feature to build a rabbitvcs package with noarch.

Comment 3 Raphael Groner 2016-02-02 00:27:33 UTC
Raising severity cause this bug causes impact on further builds of rabbitvcs (and its plugins).

Comment 4 Raphael Groner 2016-02-02 00:47:47 UTC
Forget about my last comment, it's wrong and sorry for the noise.

Comment 5 Kevin Fenzi 2016-02-02 01:10:19 UTC
ok. I applied your patch and did a few tweaks on top (different Source0, fixing changelog dates, etc) and I also added the %{_datadir}/thunarx-python/extensions directory. 

Did you need this update for other branches? or just rawhide is ok for now?

Let me know if you see any issues with the build... 

https://koji.fedoraproject.org/koji/taskinfo?taskID=12779499

Comment 6 Raphael Groner 2016-02-02 18:57:56 UTC
Yes, please build the new version for both F23 and F22. We need that for the new builds of rabbitvcs-thunar.

Comment 7 Fedora Update System 2016-02-02 19:17:06 UTC
rabbitvcs-0.16.1-0.1.20160108gite8214e6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f817392d97

Comment 8 Fedora Update System 2016-02-02 19:17:07 UTC
rabbitvcs-0.16.1-0.1.20160108gite8214e6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4882588005

Comment 9 Fedora Update System 2016-02-03 16:24:46 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ad2cc9128

Comment 10 Fedora Update System 2016-02-03 16:24:48 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-586e9f19f4

Comment 11 Raphael Groner 2016-02-03 17:17:28 UTC
(In reply to Raphael Groner from comment #6)
> Yes, please build the new version for both F23 and F22. We need that for the
> new builds of rabbitvcs-thunar.

Please build also for EPEL7.

Comment 12 Fedora Update System 2016-02-03 22:58:55 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ad2cc9128

Comment 13 Fedora Update System 2016-02-03 23:24:48 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-586e9f19f4

Comment 14 Fedora Update System 2016-02-04 09:22:14 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc23 thunarx-python-0.3.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ad2cc9128

Comment 15 Fedora Update System 2016-02-04 09:24:24 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc22 thunarx-python-0.3.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-586e9f19f4

Comment 16 Fedora Update System 2016-02-05 01:23:17 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc22, thunarx-python-0.3.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-586e9f19f4

Comment 17 Fedora Update System 2016-02-05 01:24:35 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc23, thunarx-python-0.3.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ad2cc9128

Comment 18 Fedora Update System 2016-02-15 20:46:55 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-586e9f19f4

Comment 19 Fedora Update System 2016-02-15 20:52:44 UTC
rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc23 thunarx-python-0.3.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cfd7d029d6

Comment 20 Fedora Update System 2016-02-15 20:55:14 UTC
rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc22 thunarx-python-0.3.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d22c19817e

Comment 21 Fedora Update System 2016-02-17 06:24:59 UTC
rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc22, thunarx-python-0.3.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d22c19817e

Comment 22 Fedora Update System 2016-02-17 06:28:29 UTC
rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc23, thunarx-python-0.3.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cfd7d029d6

Comment 23 Jan Kurik 2016-02-24 15:39:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 24 Fedora Update System 2016-02-28 08:23:15 UTC
rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc22, thunarx-python-0.3.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2016-02-28 12:23:22 UTC
rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc23, thunarx-python-0.3.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.